global function placeBoxObjects

const vector weaponsSpawn = < -1730, -3060, 100 >

void function placeBoxObjects()
{
    entity button = CreateSimpleButton( weaponsSpawn, <90, 90, 0>, "to spawn weapons", callback_WeaponsButtonTriggered )

    CreateNessy( <0, 2214, 576>, <0, 60, 0>, 9 )

    SpawnWeapons()

    entity mover = CreateExpensiveScriptMoverModel( $"models/communication/terminal_usable_imc_01.mdl", <100, 2214, 576>, <0,0,0>, SOLID_VPHYSICS, 5000 )
    mover.kv.contents = ( int( mover.kv.contents ) | CONTENTS_MOVEABLE )
}

void function SpawnWeapons()
{
    array<string> weapons = GetAllWeaponsByType( [ eItemTypes.PILOT_PRIMARY, eItemTypes.PILOT_SECONDARY ] )

    for ( int x = 0; x < weapons.len(); x++ )
    {
        entity weapon = CreateWeaponEntityByNameConstrained( weapons[x], weaponsSpawn + < ( x + 1 )*-30, 0, 0 >, <90,90,0> )
        weapon.SetScriptName( "weapon_pickup" )
    }      
}

void function DestoryWeapons()
{
    foreach( entity weapon in GetEntArrayByScriptName( "weapon_pickup" ) )
    {
        if ( !IsValid( weapon.GetParent() ) )
            weapon.Destroy()
    }
}

void function callback_WeaponsButtonTriggered( entity button, entity player )
{
    DestoryWeapons()
    SpawnWeapons()
}

// CreateWeaponPickup